<?php
/**
 * Simple Ticker
 *
 * @package    SimpleTicker
 * @subpackage SimpleTicker registered in the database
/*
	Copyright (c) 2016- Katsushi Kawamori (email : dodesyoswift312@gmail.com)
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; version 2 of the License.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

$simpletickerregist = new SimpleTickerRegist();

/** ==================================================
 * Registered in the database
 */
class SimpleTickerRegist {

	/** ==================================================
	 * Construct
	 *
	 * @since 1.06
	 */
	public function __construct() {

		add_action( 'admin_init', array( $this, 'register_settings' ) );

	}

	/** ==================================================
	 * Settings register
	 *
	 * @since 1.0
	 */
	public function register_settings() {

		$woo_sales_text_tag = '%regular_price% %sale_price% %dis_rate_price% %dis_rate_percent% %to_date% %interval_day% %interval_time%';

		$simple_ticker_tbl = array(
			'speed' => 150,
			'insert' => 'none',
			'ticker1' => array(
				'text' => '',
				'color' => 'ff0000',
			),
			'ticker2' => array(
				'text' => '',
				'color' => 'ffff00',
			),
			'ticker3' => array(
				'text' => '',
				'color' => '008000',
			),
			'sticky_posts' => array(
				'display' => true,
				'title_color' => 'ff0000',
				'content_color' => '000000',
			),
			'woo_sales' => array(
				'display' => false,
				'color' => '000000',
				'text' => $woo_sales_text_tag,
			),
		);

		if ( get_option( 'simple_ticker' ) ) {
			$simple_ticker_settings = get_option( 'simple_ticker' );
			if ( ! array_key_exists( 'speed', $simple_ticker_settings ) ) {
				/* ver 2.00 later */
				$simple_ticker_settings['speed'] = 150;
				update_option( 'simple_ticker', $simple_ticker_settings );
			}
			if ( ! array_key_exists( 'insert', $simple_ticker_settings ) ) {
				/* ver 2.04 later */
				$simple_ticker_settings['insert'] = 'none';
				update_option( 'simple_ticker', $simple_ticker_settings );
			}
			if ( ! array_key_exists( 'woo_sales', $simple_ticker_settings ) ) {
				/* ver 2.00 later */
				$simple_ticker_settings['woo_sales']['display'] = false;
				$simple_ticker_settings['woo_sales']['color'] = '000000';
				$simple_ticker_settings['woo_sales']['text'] = $woo_sales_text_tag;
				update_option( 'simple_ticker', $simple_ticker_settings );
			}
		} else {
			update_option( 'simple_ticker', $simple_ticker_tbl );
		}

	}

}


